• dev
  • Documentation version: 3.2

FAQ: Installazione

Come posso iniziare?

  1. Scarica il codice.
  2. Installa Django (leggi guida all’installazione).
  3. Consulta il tutorial.
  4. Se hai un problema, controlla il resto della documentation, e ask questions .

Quali sono i prerequisiti di Django?

Django richiede Python. Leggi la tabella nella prossima domanda per le versioni di Python supportate per ogni versione di Django. Altre librerie Python potrebbero essere richieste per alcuni casi d’uso, ma riceverai un errore a riguardo se sono necessarie.

Per l’ambiente di sviluppo – se vuoi solo sperimentare con Django – non devi avere un server Web separato installato o un server di database.

Django viene fornito con il proprio :djadmin: server di sviluppo leggero <runserver>. Per un ambiente di produzione, Django segue le specifiche WSGI, PEP 3333, il che significa che può essere eseguito su vari server web. Vedere Deploying Django per maggiori informazioni.

Django esegue di default SQLite , che è incluso nelle installazioni di Python. Per un ambiente di produzione, consigliamo PostgreSQL; ma supportiamo ufficialmente anche MariaDB, MySQL, SQLite e Oracle. Vedere :doc: Database supportati </ref/databases> per maggiori informazioni.

Che versione di Python posso usare con Django?

Versione di Django Versioni di Python
2.2 3.5, 3.6, 3.7, 3.8 (aggiunto in 2.2.8), 3.9 (aggiunto in 2.2.17)
3.0 3.6, 3.7, 3.8, 3.9 (aggiunto in 3.0.11)
3.1 3.6, 3.7, 3.8, 3.9 (aggiunto in 3.1.3)
3.2 3.6, 3.7, 3.8, 3.9

Per ogni versione di Python, è ufficialmente supportata solo l’ultima micro release (A.B.C). Puoi trovare l’ultima micro release di ogni serie nella Python download page.

In genere, supporteremo una versione di Python fino alla prima versione di Django LTS inclusa, il cui supporto per la sicurezza termina al termine del supporto per la sicurezza per quella versione di Python. Ad esempio, il supporto per la sicurezza di Python 3.3 è terminato a settembre 2017 e il supporto per la sicurezza di Django 1.8 LTS è terminato ad aprile 2018. Pertanto Django 1.8 è l’ultima versione a supportare Python 3.3.

Quale versione di Python dovrei usare con Django?

A partire dalle ultime versioni di Python sono solitamente più veloci, hanno più features, e sono meglio sopportate, quindi l’ultima versione di Python 3 è raccomandata

Non si perde nulla in Django utilizzando una versione precedente, ma non si trae vantaggio dai miglioramenti e dalle ottimizzazioni nelle versioni più recenti di Python. Le applicazioni di terze parti da utilizzare con Django sono libere di impostare i propri requisiti di versione.

Devo usare una versione stabile, o di sviluppo?

In generale, se userai codice in produzione, devi usare una release stabile. Il progetto Django pubblica una release stabile e completa più o meno ogni nove mesi, infammezzati da aggiornamenti di bugfix. Queste release stabili contengono la API coperta dalla nostra garanzia di retrocompatibilità; se scrivi codice con una release stabile, non avrai problemi ad effettuare gli aggiornamenti quando sarà rilasciata la prossima versione ufficiale.

Back to Top